{# FitatuShopBundle/Resources/views/Default/index.html.twig #}
{% extends 'layout.html.twig' %}

{% block stylesheets %}
    <link rel="stylesheet"  href="{{ asset('assets/vendor/bootstrap/dist/css/bootstrap.min.css') }}">
    <link rel="stylesheet"  href="{{ asset('bundles/fitatushop/css/main.css') }}">
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('assets/vendor/jquery/dist/jquery.min.js') }}"></script>
    <script src="{{ asset('assets/vendor/bootstrap/dist/js/bootstrap.min.js') }}"></script>
    <script src="{{ asset('bundles/fitatushop/js/basket.js') }}"></script>
    <script src="{{ asset('bundles/fitatushop/js/main.js') }}"></script>
{% endblock %}

{% block body %}

    <!-- Navigation -->
    <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
        <div class="container">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="#">{{ site_name }}</a>
            </div>
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li>
                        <a href="#">About</a>
                    </li>
                    <li>
                        <a href="#">Services</a>
                    </li>
                    <li>
                        <a href="#">Contact</a>
                    </li>
                </ul>
            </div>
            <!-- /.navbar-collapse -->
        </div>
        <!-- /.container -->
    </nav>

    <!-- Page Content -->
    <div class="container">

        <div class="row">

            <div class="col-md-3">
                <p class="lead">{{ site_test }}</p>
                <div class="list-group">
                    <a href="#" class="list-group-item">Products</a>
                </div>
            </div>

            <div class="col-md-9">

                <div class="row">
                    {% for product in products %}
                        <div class="col-sm-4 col-lg-4 col-md-4">
                            <div class="thumbnail">
                                <img src="{{ asset('bundles/fitatushop/img/'~product.getProductImage()~'')}}" alt="">
                                <div class="caption">
                                    <button type="button" class="btn btn-primary show-modal"
                                    data-price="{{ product.getProductTaxedPrice() }}"
                                    data-name="{{ product.getProductName() }}"
                                    data-id="{{ product.getProductId() }}">
                                        Order
                                    </button>
                                    <h4 class="pull-right">${{ product.getProductTaxedPrice() }} ({{ product.getProductPrice() }})</h4>
                                    <h4><a href="#">{{ product.getProductName() }}</a>
                                    </h4>
                                    <p>{{ product.getProductDescription() }}</p>
                                </div>
                                <div class="ratings">
                                    <p class="pull-right">{{ random(20) }} reviews</p>
                                    <p>
                                        <span class="glyphicon glyphicon-star"></span>
                                        <span class="glyphicon glyphicon-star"></span>
                                        <span class="glyphicon glyphicon-star"></span>
                                        <span class="glyphicon glyphicon-star"></span>
                                        <span class="glyphicon glyphicon-star"></span>
                                    </p>
                                </div>
                            </div>
                        </div>
                    {% endfor %}

                </div>

            </div>

        </div>
        {% include ('@FitatuShopBundle/views/Default/modal/product-modal.html.twig') with {'form': form} %}

    </div>
    <!-- /.container -->
{% endblock %}
